<template>
  <ChatHeader margin-bottom-divider="6px">
    <div class="conversation-info">
      <ConversationRoomAvatar
        v-if="chat.type === ChatTypes.Group"
        :chat="chat"
      />
      <div
        v-else-if="chat.interlocutor"
        @mousedown.stop
      >
        <UserProfileMenu
          :user="chat.interlocutor"
          tabindex="0"
        >
          <UserProfile :user="chat.interlocutor" />
        </UserProfileMenu>
      </div>
      <ConversationName
        weight="bold"
        :chat="chat"
        class="conversation-title"
      />
    </div>
    <slot />
  </ChatHeader>
</template>

<script setup lang="ts">
import { PropType } from 'vue';
import { UserProfile, UserProfileMenu } from '@/features/user-profile';
import { ConversationRoomAvatar, ConversationName } from '@/entities/Conversation';
import { ChatHeader, ChatTypes, IChat } from '@/shared';

defineProps({
  chat: {
    type: Object as PropType<IChat>,
    required: true,
  },
});
</script>

<style lang="scss" scoped>
.conversation-title {
  margin-left: 12px;
  max-width: 300px;
}

.conversation-info {
  display: flex;
  align-items: center;
}
</style>
